varying vec2 		texcoord;	
uniform sampler2D 	tex;
varying float		distance;
varying float		depth;	
varying vec2		vel;
varying vec4		pos,
					prev;
uniform float		vScale;

void main()
{
	gl_FragColor.r = depth;
	vec2 vel=((pos.xy/pos.w)-(prev.xy/prev.w))*0.05*vScale;
	gl_FragColor.gb = vel;
	gl_FragColor.a = texture2D(tex,texcoord.st).a*distance;
}
